org.eclipse.net4j.util.ui.prefs

## Class OMPreferenceStore

- java.lang.Object
- - org.eclipse.net4j.util.ui.prefs.OMPreferenceStore

- All Implemented Interfaces:
    IPreferenceStore

      public class OMPreferenceStore
      extends java.lang.Object
      implements IPreferenceStore

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.preference.IPreferenceStore

      `BOOLEAN_DEFAULT_DEFAULT, DOUBLE_DEFAULT_DEFAULT, FALSE, FLOAT_DEFAULT_DEFAULT, INT_DEFAULT_DEFAULT, LONG_DEFAULT_DEFAULT, STRING_DEFAULT_DEFAULT, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OMPreferenceStore(OMPreferences preferences)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(IPropertyChangeListener listener)`
    `boolean` | `contains(java.lang.String name)`
    `void` | `dispose()`
    `void` | `firePropertyChangeEvent(java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)`
    `boolean` | `getBoolean(java.lang.String name)`
    `boolean` | `getDefaultBoolean(java.lang.String name)`
    `double` | `getDefaultDouble(java.lang.String name)`
    `float` | `getDefaultFloat(java.lang.String name)`
    `int` | `getDefaultInt(java.lang.String name)`
    `long` | `getDefaultLong(java.lang.String name)`
    `java.lang.String` | `getDefaultString(java.lang.String name)`
    `double` | `getDouble(java.lang.String name)`
    `float` | `getFloat(java.lang.String name)`
    `int` | `getInt(java.lang.String name)`
    `long` | `getLong(java.lang.String name)`
    `OMPreferences` | `getPreferences()`
    `java.lang.String` | `getString(java.lang.String name)`
    `boolean` | `isDefault(java.lang.String name)`
    `boolean` | `needsSaving()`
    `void` | `putValue(java.lang.String name, java.lang.String value)`
    `void` | `removePropertyChangeListener(IPropertyChangeListener listener)`
    `void` | `setDefault(java.lang.String name, boolean value)`
    `void` | `setDefault(java.lang.String name, double value)`
    `void` | `setDefault(java.lang.String name, float value)`
    `void` | `setDefault(java.lang.String name, int value)`
    `void` | `setDefault(java.lang.String name, long value)`
    `void` | `setDefault(java.lang.String name, java.lang.String defaultObject)`
    `void` | `setToDefault(java.lang.String name)`
    `void` | `setValue(java.lang.String name, boolean value)`
    `void` | `setValue(java.lang.String name, double value)`
    `void` | `setValue(java.lang.String name, float value)`
    `void` | `setValue(java.lang.String name, int value)`
    `void` | `setValue(java.lang.String name, long value)`
    `void` | `setValue(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OMPreferenceStore

          public OMPreferenceStore(OMPreferences preferences)

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### getPreferences

          public OMPreferences getPreferences()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(IPropertyChangeListener listener)

      Specified by:
        `addPropertyChangeListener` in interface `IPreferenceStore`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(IPropertyChangeListener listener)

      Specified by:
        `removePropertyChangeListener` in interface `IPreferenceStore`

    - #### firePropertyChangeEvent

          public void firePropertyChangeEvent(java.lang.String name,
                                              java.lang.Object oldValue,
                                              java.lang.Object newValue)

      Specified by:
        `firePropertyChangeEvent` in interface `IPreferenceStore`

    - #### contains

          public boolean contains(java.lang.String name)

      Specified by:
        `contains` in interface `IPreferenceStore`

    - #### isDefault

          public boolean isDefault(java.lang.String name)

      Specified by:
        `isDefault` in interface `IPreferenceStore`

    - #### needsSaving

          public boolean needsSaving()

      Specified by:
        `needsSaving` in interface `IPreferenceStore`

    - #### getDefaultBoolean

          public boolean getDefaultBoolean(java.lang.String name)

      Specified by:
        `getDefaultBoolean` in interface `IPreferenceStore`

    - #### getDefaultDouble

          public double getDefaultDouble(java.lang.String name)

      Specified by:
        `getDefaultDouble` in interface `IPreferenceStore`

    - #### getDefaultFloat

          public float getDefaultFloat(java.lang.String name)

      Specified by:
        `getDefaultFloat` in interface `IPreferenceStore`

    - #### getDefaultInt

          public int getDefaultInt(java.lang.String name)

      Specified by:
        `getDefaultInt` in interface `IPreferenceStore`

    - #### getDefaultLong

          public long getDefaultLong(java.lang.String name)

      Specified by:
        `getDefaultLong` in interface `IPreferenceStore`

    - #### getDefaultString

          public java.lang.String getDefaultString(java.lang.String name)

      Specified by:
        `getDefaultString` in interface `IPreferenceStore`

    - #### setDefault

          public void setDefault(java.lang.String name,
                                 boolean value)

      Specified by:
        `setDefault` in interface `IPreferenceStore`

    - #### setDefault

          public void setDefault(java.lang.String name,
                                 double value)

      Specified by:
        `setDefault` in interface `IPreferenceStore`

    - #### setDefault

          public void setDefault(java.lang.String name,
                                 float value)

      Specified by:
        `setDefault` in interface `IPreferenceStore`

    - #### setDefault

          public void setDefault(java.lang.String name,
                                 int value)

      Specified by:
        `setDefault` in interface `IPreferenceStore`

    - #### setDefault

          public void setDefault(java.lang.String name,
                                 long value)

      Specified by:
        `setDefault` in interface `IPreferenceStore`

    - #### setDefault

          public void setDefault(java.lang.String name,
                                 java.lang.String defaultObject)

      Specified by:
        `setDefault` in interface `IPreferenceStore`

    - #### setToDefault

          public void setToDefault(java.lang.String name)

      Specified by:
        `setToDefault` in interface `IPreferenceStore`

    - #### getBoolean

          public boolean getBoolean(java.lang.String name)

      Specified by:
        `getBoolean` in interface `IPreferenceStore`

    - #### getDouble

          public double getDouble(java.lang.String name)

      Specified by:
        `getDouble` in interface `IPreferenceStore`

    - #### getFloat

          public float getFloat(java.lang.String name)

      Specified by:
        `getFloat` in interface `IPreferenceStore`

    - #### getInt

          public int getInt(java.lang.String name)

      Specified by:
        `getInt` in interface `IPreferenceStore`

    - #### getLong

          public long getLong(java.lang.String name)

      Specified by:
        `getLong` in interface `IPreferenceStore`

    - #### getString

          public java.lang.String getString(java.lang.String name)

      Specified by:
        `getString` in interface `IPreferenceStore`

    - #### putValue

          public void putValue(java.lang.String name,
                               java.lang.String value)

      Specified by:
        `putValue` in interface `IPreferenceStore`

    - #### setValue

          public void setValue(java.lang.String name,
                               boolean value)

      Specified by:
        `setValue` in interface `IPreferenceStore`

    - #### setValue

          public void setValue(java.lang.String name,
                               double value)

      Specified by:
        `setValue` in interface `IPreferenceStore`

    - #### setValue

          public void setValue(java.lang.String name,
                               float value)

      Specified by:
        `setValue` in interface `IPreferenceStore`

    - #### setValue

          public void setValue(java.lang.String name,
                               int value)

      Specified by:
        `setValue` in interface `IPreferenceStore`

    - #### setValue

          public void setValue(java.lang.String name,
                               long value)

      Specified by:
        `setValue` in interface `IPreferenceStore`

    - #### setValue

          public void setValue(java.lang.String name,
                               java.lang.String value)

      Specified by:
        `setValue` in interface `IPreferenceStore`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html